POST /api/v202504/bill/paymentEvent

Persist an payment event for several bills

CreateBillPaymentEventV202504 Permissions: BillsAndBatches (Edit)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Request Body

BillPaymentEventCreateV202504
Property Description Type
billIds Bill ids for the event Required Cannot be Empty integer[]
paymentEventType The payment event type of the event. For example, paymentGroup.approved, payment.open, payment.returned Required Must be between 0 and 32 characters string
webhookPayload An object representing the JSON received by the web hook object
Example Request Body application/json
{  "billIds": [
    1
  ],  "paymentEventType": "string",  "webhookPayload": {}
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

BillPaymentEventResponseV202504
Property Description Type
createdDate The date and time of the bill payment event string (date-time)
paymentEventId The identifier of the payment event integer (int32)
paymentEventType The payment type of the event. For example, paymentGroup.approved, payment.open, payment.returned string
webhookPayload An object representing the JSON received by the web hook object
Example Response application/json
{  "createdDate": "2026-03-30",  "paymentEventId": 1,  "paymentEventType": "string",  "webhookPayload": {}
}